## phosh-file-selector 0.0.6

=== debian/changelog ===
phosh-file-selector (0.0.6-1) unstable; urgency=medium

  * Initial packaging (Closes: #1124270).

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Dec 2025 22:48:12 +0100
