=== debian/control ===
Source: phosh-file-selector
Section: libs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 cargo,
 desktop-file-utils,
 gsettings-desktop-schemas-dev,
 libadwaita-1-dev (>= 1.6),
 libfontconfig-dev,
 libglib2.0-dev (>= 2.74),
 libgnome-bg-4-dev,
 libgnome-desktop-4-dev,
 libgtk-4-dev (>= 4.17),
 librust-ashpd-dev (>= 0.12.0-4),
 librust-gettext-rs-dev,
 librust-glib-macros-dev,
 librust-gtk4-dev,
 librust-gtk4-macros-dev,
 librust-libadwaita-dev,
 meson,
 patchelf,
 systemd-dev,
Standards-Version: 4.7.2

Package: pfs-utils
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Phosh File Chooser Utils
 pfs is a library providing a file choser and related tooling.
 .
 This package contains additional utilities like an implementation
 of the org.freedesktop.FileManager1 interface.

Package: pfs-demo
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Phosh File Chooser Demos
 pfs is a library providing a file choser and related tooling.
 .
 This package contains the demo application.

Package: pfs-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 xdg-desktop-portal-phosh (<< 0.52~),
Description: Phosh File Chooser Common Files
 pfs is a library providing a file choser and related tooling.
 .
 This package contains architecture independent common files.
