=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export PATH:=/usr/share/cargo/bin/:$(PATH)

include /usr/share/dpkg/default.mk

configure_options = \
	-Ddeb_triplet=$(DEB_HOST_RUST_TYPE) \
	-Dexamples=true \
	$(NULL)

%:
	dh $@

override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- $(configure_options)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	dh_auto_test -- -t 10

execute_after_dh_auto_clean:
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f .cargo/config subprojects/pfs/Cargo.lock
